SRU pollinate 4.33

Bug #1761240 reported by Joshua Powers on 2018-04-04
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pollinate (Ubuntu)
Status tracked in Cosmic
Trusty
Medium
Chad Smith
Xenial
Medium
Chad Smith
Artful
Medium
Chad Smith
Bionic
Medium
Chad Smith
Cosmic
Low
Scott Moser

Bug Description

=== Begin SRU Template ===
[Impact]
The key change is that the user agent string as of Bionic now
contains the contents of systemd-detect-virt and /etc/cloud/build.info.
In aggregate, this gives us important usage data to detect improvements
and regressions in Ubuntu boot times.

[Test Case]
Launch a privileged container with:

1. lxc launch ubuntu-daily:xenial -c security.privileged=true x1-priv
2. lxc exec x1-priv -- apt update && apt -y install pollen

Run a local pollen server and have the pollinate (client) connect with that via:

3. lxc exec x1-priv -- pollinate -r --insecure -s https://localhost

Then check in /var/log/syslog for the client user-agent string. On systems without the updated pollinate client, the USER_AGENT value does not include virt:

root@x1-priv:~# grep pollen /var/log/syslog | grep -c virt
0
root@x1-priv:~#

After upgrading to the newer client, virt is now present in the pollen entries:

root@x1-priv:~# grep pollen /var/log/syslog | grep -c virt
2
root@x1-priv:~#

[Regression Potential]
The script runs with 'set -e', that means that the 'pollinate' script
will exit failure if either of the commands or files above fail. These
scenarios seem unlikely, especially in Ubuntu environments.

=== End SRU Template ===

Related branches

Ryan Harper (raharper) wrote :

I'd suggest modifying the test-case to skip the pollen side, the client we want to SRU will print the agent string it generates:

# pollinate --print-user-agent
cloud-init/18.2-4-g05926e48-0ubuntu1 curl/7.58.0-2ubuntu3 pollinate/4.31-0ubuntu1 Ubuntu/Bionic/Beaver/(development/branch) GNU/Linux/4.15.0-13-generic/x86_64 Intel(R)/Core(TM)/i7-7500U/CPU/@/2.70GHz uptime/163860.00/163784.00 virt/lxc img/serial/20180406

Chad Smith (chad.smith) on 2018-05-26
summary: - SRU pollinate 4.31
+ SRU pollinate 4.32
Scott Moser (smoser) on 2018-05-29
Changed in pollinate (Ubuntu Cosmic):
status: New → Fix Released
importance: Undecided → Low
Changed in pollinate (Ubuntu Trusty):
importance: Undecided → Medium
Changed in pollinate (Ubuntu Xenial):
importance: Undecided → Medium
Changed in pollinate (Ubuntu Artful):
importance: Undecided → Medium
Changed in pollinate (Ubuntu Bionic):
importance: Undecided → Medium
Changed in pollinate (Ubuntu Trusty):
status: New → Confirmed
Changed in pollinate (Ubuntu Xenial):
status: New → Confirmed
Changed in pollinate (Ubuntu Artful):
status: New → Confirmed
Changed in pollinate (Ubuntu Bionic):
status: New → Confirmed
Changed in pollinate (Ubuntu Cosmic):
assignee: nobody → Scott Moser (smoser)
Changed in pollinate (Ubuntu Trusty):
assignee: nobody → Chad Smith (chad.smith)
Changed in pollinate (Ubuntu Xenial):
assignee: nobody → Chad Smith (chad.smith)
Changed in pollinate (Ubuntu Artful):
assignee: nobody → Chad Smith (chad.smith)
Changed in pollinate (Ubuntu Bionic):
assignee: nobody → Chad Smith (chad.smith)
Scott Moser (smoser) on 2018-05-29
summary: - SRU pollinate 4.32
+ SRU pollinate 4.33

Hello Joshua, or anyone else affected,

Accepted pollinate into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pollinate/4.33-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pollinate (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
Scott Moser (smoser) wrote :
tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Steve Langasek (vorlon) wrote :

Hello Joshua, or anyone else affected,

Accepted pollinate into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pollinate/4.33-0ubuntu1~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pollinate (Ubuntu Artful):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-artful
removed: verification-done
Changed in pollinate (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed-xenial
Steve Langasek (vorlon) wrote :

Hello Joshua, or anyone else affected,

Accepted pollinate into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pollinate/4.33-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Joshua, or anyone else affected,

Accepted pollinate into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pollinate/4.33-0ubuntu1~14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pollinate (Ubuntu Trusty):
status: Confirmed → Fix Committed
tags: added: verification-needed-trusty
Joshua Powers (powersj) wrote :
tags: added: verification-done-artful verification-done-xenial
removed: verification-needed-artful verification-needed-xenial
Joshua Powers (powersj) wrote :
tags: added: verification-done-trusty
removed: verification-needed-trusty
Joshua Powers (powersj) wrote :

Completed verification by replicating the testing smoser did with bionic, but on baremetal and on an EC2 instance. Trusty testing did not test the server, only tested that the user-agent string did not regress.

Marking verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pollinate - 4.33-0ubuntu1~18.04.1

---------------
pollinate (4.33-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1761240):
    - Fix bug on xen when not booted with systemd.
    - Use systemd-detect-virt if available.
    - Include img/build_name/server in user-agent.

 -- Chad Smith <email address hidden> Wed, 30 May 2018 10:36:52 -0600

Changed in pollinate (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for pollinate has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pollinate - 4.33-0ubuntu1~17.10.1

---------------
pollinate (4.33-0ubuntu1~17.10.1) artful; urgency=medium

  * New upstream release (LP: #1761240):
    - Add '--print-user-agent' flag.
    - Speedups when collecting information for user-agent.
    - Add hypervisor to useragent string
    - Get logger version via logger -V rather than dpkg query.
    - Add cloud image build info and data in /etc/pollinate/add-user-agent
      to user-agent string.

 -- Chad Smith <email address hidden> Wed, 30 May 2018 10:27:35 -0600

Changed in pollinate (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pollinate - 4.33-0ubuntu1~16.04.1

---------------
pollinate (4.33-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream release (LP: #1761240):
    - Add '--print-user-agent' flag.
    - Speedups when collecting information for user-agent.
    - Add hypervisor to useragent string
    - Get logger version via logger -V rather than dpkg query.
    - Add cloud image build info and data in /etc/pollinate/add-user-agent
      to user-agent string.
    - Perform a safe read of /proc/uptime

 -- Chad Smith <email address hidden> Wed, 30 May 2018 10:24:15 -0600

Changed in pollinate (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pollinate - 4.33-0ubuntu1~14.04.1

---------------
pollinate (4.33-0ubuntu1~14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1761240):
    - Add '--print-user-agent' flag.
    - Speedups when collecting information for user-agent.
    - Add hypervisor to useragent string
    - Get logger version via logger -V rather than dpkg query.
    - Add cloud image build info and data in /etc/pollinate/add-user-agent
      to user-agent string.
    - Perform a safe read of /proc/uptime

 -- Chad Smith <email address hidden> Wed, 30 May 2018 10:22:11 -0600

Changed in pollinate (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers